{{
Demo program to start the mode B iambic morse keyer.

The dit period is the basis for the dah period and the space period so CW weight can be adjusted
to fit any pesonal style.  If the dit_period is changed, the dah and space period must be reset so that
their values are calculated as a percentage of the new dit period.

Program by Doug Wheeland, W0KIT
2007
}}


var
  byte traffic_lock
  
CON
  _clkmode                      = xtal1 + pll16x
  _xinfreq                      = 5_000_000

  cr                            = 13
  lf                            = 10
  dit_period_base               = 30_000
  dit_period_range              = 170_000
  tone_freq_base                = 10_000
  tone_freq_range               = 90_000
              
obj
keyer : "keyer_obj_b"

PUB main | rb, i
  
  traffic_lock := locknew                                        
  keyer.start(traffic_lock)                              'Init the keyer object
  keyer.set_dit_period(70_000)                          'In micro seconds  30_000  -  200_000
  keyer.set_dah_period(300)                             'Percent of dit_period  200%  -  400%
  keyer.set_space_period(100)                           'Percent of dit_period  25%  -  150%
  keyer.start_keyer_mode_b                              'Start the mode b iambic keyer
